| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
URL Parsing Options

## Variables
const | Qore::QURL_DECODE = QURL_DECODE
| Perform percent decoding on the `"host"`, `"username"`, and `"password"` fields.
const | Qore::QURL_DECODE_PATH = QURL_DECODE_PATH
| Decodes all fields like QURL_DECODE plus also performs percent decoding on `"path"` and `"query"` fields.
const | Qore::QURL_KEEP_BRACKETS = QURL_KEEP_BRACKETS
| If the hostname or address is enclosed in square brackets, the brackets will be included in the `"host"` key.
const | Qore::QURL_MAINTAIN_CASE = QURL_MAINTAIN_CASE
| Do not convert the protocol (scheme) to lower case when parsing URLs.

## Detailed Description

Since
  Qore 1.0.10

## Variable Documentation

## ◆ QURL_KEEP_BRACKETS

const Qore::QURL_KEEP_BRACKETS = QURL_KEEP_BRACKETS

If the hostname or address is enclosed in square brackets, the brackets will be included in the `"host"` key.

Square brackets are used by some Qore methods to denote IPv6 addresses; for example see Socket::connect()

## ◆ QURL_MAINTAIN_CASE

const Qore::QURL_MAINTAIN_CASE = QURL_MAINTAIN_CASE

Do not convert the protocol (scheme) to lower case when parsing URLs.

Since
  Qore 2.0